Name:           VulkanSceneGraph

%define         upstream_version 1.0.0-rc3

Version:        1.0.0~rc3
Release:        1%{?dist}
Summary:        Vukan Scene Graph

License:        MIT
URL:            http://vulkanscenegraph.org/
Source0:        https://github.com/vsg-dev/%{name}/archive/refs/tags/%{name}-%{upstream_version}.tar.gz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  glslang-devel
BuildRequires:  make
BuildRequires:  vulkan-headers
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(xcb)

#Requires:       

%description
VulkanSceneGraph (VSG), is a modern, cross platform, high performance scene
graph library built upon Vulkan graphics/compute API. The software is written
in C++17, and follows the CppCoreGuidelines and FOSS Best Practices. 
The source code is published under the MIT License.


%package devel
Summary:        Development files for VulkanSceneGraph
Requires:       VulkanSceneGraph%{?_isa} = %{version}-%{release}

%description devel
Development files for VulkanSceneGraph.

%prep
%autosetup -n %{name}-%{name}-%{upstream_version}


%build
%cmake 
%cmake_build


%install
%cmake_install


%files
%license LICENSE.md
%doc README.md
%{_libdir}/libvsg.so*


%files devel
%{_includedir}/vsg
%{_libdir}/cmake/vsg/*.cmake

%changelog
* Fri Nov 11 2022 François Cami <fcami@fedoraproject.org> - 1.0.0-rc3-1
- Initial package
